Introduction to TBIView

 Top Next

TBIView is a free utility that allows you to view the contents of image files that have been created by TeraByte Unlimited's Image for DOS, Image for Linux, Image for Windows, and BootIt NG applications.

If the image being viewed is based on a FAT, FAT32 or NTFS partition, then TBIView can be used to view and extract individual files or folders from the image.

TBIView can be used in two ways:

· Interactively, using the TBIView interface
· With command line options (to create/rebuild image indexes)

As of this writing, TBIView is compatible with all Windows versions.


Image Indexes

 Top Previous Next

In order to display the contents of an .IMG image, TBIView must have an index of that image to work with. Image indexes can be created in two different ways:

· Automatically, by opening an image (.IMG) file for the first time using the TBIView interface.
· Manually, using the /CreateIdx or /RebuildIdx command line options.

Image indexes can optionally be saved to disk as they are created. (Please refer to the TBIView Options section for more information.) When opening an image with TBIView, having the index already available on disk can greatly improve the speed with which that image is opened.

The index (.IDX) files created by TBIView are safe to delete. However, if an index file is deleted, any applicable performance benefit will be lost if the associated image is subsequently opened.

Note: Indexes are not used with .TBI files.


Usage Tips

· It's highly recommended that you view image files with all files available on the same media. Viewing files spread across removable media may require excessive amounts of disk swapping.
· If you are working with an image that resides on removable media (e.g. CD/DVD discs), you may use multiple removable media drives to ease the process. For example, if you are opening an image that is spanned across two DVD discs, you can insert the first DVD of the set in one DVD drive, and the second DVD in another DVD drive. TBIView will automatically check all applicable drives for the second disc.

NOTE: This only applies to .IMG files and NOT .TBI files. If you'd find this feature useful for .TBI files, please notify TeraByte Unlimited support.
· If you find that .IMG or .TBI files are not opened by TBIView when you double click them, you need to restore the file association to TBIView. To do this, simply reinstall TBIView. (Your existing TBIView settings, images and index files, if any, will not be affected.). Please note that if you are using another program that takes over the file association, this situation may recur.


Viewing and/or Extracting the Contents of an Image

1. Run TBIView.

2. Select Open from the File menu. An Open dialog appears.

3. In the Open dialog, navigate to the image (.IMG or .TBI) file you wish to open, and then click the Open button.

· There may be a delay while TBIView generates an index of the image contents. The length of the delay depends on a number of factors, most notably the type of media the image is stored on (i.e. CD/DVD disc, hard drive, etc.) and the number of file system objects contained within the image. The length of time it takes to create an index can vary from unnoticeable to several minutes.


Closing an Image File after it has Been Opended

Select Close from the File menu.


Changing the File List View

Select Icons, Small Icons, List, or Details from the List menu, as desired.


Extracting Files or Folders from an Image

1. Open the desired image, as explained above.

• There will be a delay while TBIView generates an index of the image contents. The length of the delay depends on a number of factors, most notably the type of media the image is stored on (i.e. CD/DVD disc, hard drive, etc.) and the number of file system objects contained within the image. The length of time it takes to create an index can vary from unnoticeable to several minutes.

2. In the folder pane of the TBIView window, navigate to and select the file(s) and/or folder(s) that you wish to extract.

• The Ctrl and Shift keys may be used for making multiple selections.

3. The selected file(s) and/or folder(s) may be extracted in two ways: Using the Extract menu item, or via drag-and-drop.

• The Extract menu item method is generally faster, particularly when extracting large files.

Using the Extract Menu Item

I. Right click on the selected file(s) and/or folder(s), and select Extract from the context menu that appears. A Browse For Folder dialog appears.

II. In the Browse For Folder dialog, navigate to the location where you wish to extract the selected file(s) and/or folder(s), and click OK.

Using Drag-and-Drop

I. Open an Explorer window, and in it, navigate to the location where you wish to extract the selected file(s) and/or folder(s).

II. Using the left mouse button, drag-and-drop the selected file(s) and/or folder(s) to the desired location in the Explorer window.


Setting TBIView Options

To access the TBIView options dialog, select Options… from the View menu.

The following options are available for TBIView:

Maintain Indexes

If this option is enabled, TBIView will save .IMG image indexes to disk after creating them. (If this option is disabled, indexes are stored only temporarily in memory.) When opening an image with TBIView, having the index already available on disk can greatly improve the speed with which that image is opened. TBIView saves indexes in files named according to the following mask:

<image name>.IMG_YYYYMMDD_HHMMSS.IDX

Where <image name> is the name of the image being indexed (without a file extension), and YYYYMMDD and HHMMSS are the last-modified date and time (in 24-hour format) for the applicable image (.IMG) file, respectively.

Index Folder

This option is only applicable if the Maintain Indexes option is enabled. This text box is used to specify the folder where TBIView will attempt to store index (.IDX) files. If the Save to Source option is enabled, the Index Folder location will only be used if, for some reason, the index file cannot be saved to the folder where the applicable image (.IMG) file itself resides.

Save to Source

This option is only applicable if the Maintain Indexes option is enabled. If this option is enabled, TBIView will attempt to save the index file to the folder where the applicable image (.IMG) file itself resides. If, for some reason, the index cannot be saved to this location, TBIView will attempt to use the folder specified in the Index Folder text box instead.


Basic Command Line Format

TBIView <image file name> [/RebuildIdx] [/CreateIdx] [/Unattended]

<image file name>

Full path and file name of the image (.IMG) file to be processed, using quotation marks if the path or name contains space(s).

/RebuildIdx

Rebuild the index (.IDX) file for the specified image file, if it exists. If the index does not already exist, do nothing. This option functions irrespective of the Maintain Indexes setting that can be set in the TBIView Options dialog. However, the settings specified for the Index Folder and Save to Source options are adhered to.

/CreateIdx

Create the index of the specified image file, if it does not exist. If the index already exists, do nothing. This option functions irrespective of the Maintain Indexes setting that can be set in the TBIView Options dialog. However, the settings specified for the Index Folder and Save to Source options are adhered to.

/Unattended

Suppress any error messages that may be generated, including a prompt to insert the second CD/DVD disc, if applicable.

The command line parameters can be combined in any way. For example, if you would like to create the index for an image file if none exists, but rebuild it if it does exist, simply use the /RebuildIdx and /CreateIdx parameters together. (Please refer to the examples below.)


Examples of Command Line Use

TBIView D:\Backups\partition1.img /CreateIdx

The command line above:

• Will instruct TBIView to create the index (.IDX) file for the image D:\Backups\partition1.IMG, if it does not already exist.

• If the index file already exists, no action will be taken.

• The index file will be saved to a location specified by the Index Folder and/or Save to Source settings, available on the TBIView Options dialog.

• Assuming that D:\Backups\partition1.IMG has a last-modified date/time of January 12, 2006 at 8:09:10 PM, the index file will be named partition1.IMG_20060112_200910.IDX. (20:09:10 is the 24-hour time representation of 8:09:10 PM.)

TBIView D:\Backups\partition1.img /RebuildIdx

The command line above:

• Will instruct TBIView to rebuild the index (.IDX) file for the image D:\Backups\partition1.IMG, if it already exists.

• If the index file does not already exist, no action will be taken.

TBIView D:\Backups\partition1.img /RebuildIdx /CreateIdx

The command line above:

• Will instruct TBIView to create the index (.IDX) file for the image D:\Backups\partition1.IMG, if it does not already exist, or rebuild the index file, if it does exist.

• The index file will be saved to a location specified by the Index Folder and/or Save to Source settings, available on the TBIView Options dialog.

Assuming that D:\Backups\partition1.IMG has a last-modified date/time of December 2, 2005 at 1:10:01 PM, the index file will be named partition1.IMG_20051202_131001.IDX. (13:10:01 is the 24-hour time representation of 1:10:01 PM.)


Known Issues

 Top Previous

A prompt to insert the next CD/DVD disc will appear after the last disc of the image set when building the index from the command line. Click Cancel on this prompt, and the process will complete normally.